Description

I'm currently using the Georeferencer heavily to import scanned fieldmaps from A3 paper maps. As it is import to see every little detalil, |
scan those maps with 600dpi, saved as jpg.

The only output option for the resulting raster is GeoTiff so far, which ends up in file sizes above 1 Gb, so | have to manually translate them
with the raster tools to jpg to get 80 Mb files, which perform so much better in my cloud-synced work environment than the original
monsters, which | than have to delete to save space.

It would be very nice to be freed from these extra steps by getting the option to save to other formats than those huge GeoTiffs directly
from within the Georeferencer.

History

#1 - 2015-07-16 03:13 PM - Jukka Rahkonen

As a workaround you can create a GDAL script and edit it before running it from command shell.

#2 - 2015-09-10 06:15 AM - Bernd Vogelgesang

Well, I'm not asking for workarounds, but for user-friendly compression methods by default. Normal users will not know how to use the shell, and it's really
hard to find reliable informations which settings to use for best results.

Just tested again the output of the current georeferencer:

Input is a 3.4 MB JPG 300dpi scan of a A3 fieldmap based on a topographic map (quite a common use case for the georeferencer | think)

| tested now the available "compressions":
none: 52.2 MB

deflate: 58.4 MB

packbits: 60.0 MB

LZW:71.7 MB

So, redicolously, no compression has the best result, but still 15 times bigger than the original input.
| would propose some presets like:

- no compression for best quality as tif, so no harm is done

- preset for aerial images: sth like gdal_translate -co COMPRESS=JPEG -co PHOTOMETRIC=YCBCR -co TILED=YES -> this results in a 3.3 MB tif
with no visible difference on the screen.

- aerial images with internal overviews: plus gdaladdo --config COMPRESS_OVERVIEW JPEG --config PHOTOMETRIC_OVERVIEW YCBCR
--config INTERLEAVE_OVERVIEW PIXEL -r average $tif 24 8 16 -> here 9.1 MB

- preset for topgraphic map ... (no idea)

- (put here your other experts ideas)
For me it seems that compression methods are highly disputable by the experts, and therefore, before offering sth "wrong", nothing is offered at all to the

average user ...

But for everyday use, having the ability to compress the georeferenced input in one step would be very great and would relief us from "unnecessary" data

and troublesome extra work!

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

2025-04-27 22



